#include "qt.hpp"
#include "resource.rcc"
Video video;
Audio audio;
Input input;
unique_pointer<Emulator::Interface> emulator;

#include "file-dialog.moc"

string locate(string name) {
  string location = {Path::program(), name};
  if(inode::exists(location)) return location;

  directory::create({Path::userData(), "bsnes-mcfly/"});
  return {Path::userData(), "bsnes-mcfly/", name};
}

int main(int argc, char** argv) {
  program = new Program;
  emulator = new SuperFamicom::Interface;
  int result = program->main(argc, argv);
  delete program;
  return result;
}
