#include <sfc-performance/sfc.hpp>

namespace SuperFamicom {

#include <sfc/slot/sufamiturbo/serialization.cpp>
SufamiTurboCartridge sufamiturboA;
SufamiTurboCartridge sufamiturboB;

auto SufamiTurboCartridge::unload() -> void {
  rom.reset();
  ram.reset();
}

auto SufamiTurboCartridge::power() -> void {
  rom.writeProtect(true);
  ram.writeProtect(false);
}

}
